traces-db:
  download-url: "https://minio-packet.freedesktop.org/mesa-tracie-public/"

# glmark2 looks like maybe it fails due to wanting an xserver, but we don't have
# Xorg in the x86 docker images we're using.

traces:
  - path: glxgears/glxgears-2.trace
    expectations:
      - device: i915-g33
        checksum: ee8dcdb3b9eaef2b32a2914b89373419
  - path: gputest/plot3d.trace
    expectations:
      - device: i915-g33
        checksum: 4731890d1f782c106dd9c12af77b3607
  - path: gputest/triangle.trace
    expectations:
      # Weird white bar behind Tux's head.
      - device: i915-g33
        checksum: ef9b19e9a6dcd928d3bd44e7eee95029
  # Requires GLSL 1.30
  #- path: humus/AmbientAperture.trace
  #  expectations:
  #    - device: i915-g33
  #      checksum: 8d4c52f0af9c09710d358f24c73fae3c
  - path: humus/CelShading.trace
    # The cel shading is pretty chunky, but maybe that's just precision stuff.
    expectations:
      - device: i915-g33
        checksum: 7518414e4f1a4f1e07c04ec1500f53e7
  # Requires GLSL 1.30
  #- path: humus/DynamicBranching3.trace
  #  expectations:
  #    - device: i915-g33
  #      checksum: 765fa742b87e411763921c6f988b2573
  # Requires GLSL 1.30
  #- path: humus/HDR.trace
  #  expectations:
  #    - device: i915-g33
  #      checksum: 80b164e85e96a413568d18ce308caae3
  - path: humus/Portals.trace
    expectations:
      - device: i915-g33
        checksum: f782469019417923831d5d53dbe6a507
  # The shadow raytracing shader fails to compile
  #- path: humus/RaytracedShadows.trace
  #  expectations:
  #    - device: i915-g33
  #      checksum: 5dc0af9fead0102a791784d0f6122096
  # Requires GLSL 1.30
  #- path: humus/VolumetricFogging2.trace
  #  expectations:
  #    - device: i915-g33
  #      checksum: aec880cec7ba460f3144b789bc517891
  - path: neverball/neverball.trace
    expectations:
      - device: i915-g33
        checksum: f925aa92da47ebc757285f826113f4db
  - path: valve/counterstrike-v2.trace
    # Tree foliage rendering is extra aliased.
    expectations:
      - device: i915-g33
        checksum: d17298ad3bb44b43b6c17e017f7c1e6a
